path: /build/build/typeprof-dev-ruby-0.21.11.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge dev-ruby/typeprof -pv -t && \
    USE="-ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge -j ${JOBS} --nodeps dev-ruby/typeprof
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/typeprof && luet-portage --dir /pkgdir/typeprof
    dev-ruby/typeprof && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a29ef8fc99f27497a9670b621605fe0cb44908839229df8419739ebe79a5267c
  package:
    name: typeprof
    version: 0.21.11
    category: dev-ruby
    use_flags:
    - -ruby_targets_ruby27
    - -ruby_targets_ruby30
    - -ruby_targets_ruby32
    - -test
    - ruby_targets_ruby31
    requires:
    - name: rubygems
      version: '>=0'
      category: virtual
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: An experimental type-level Ruby interpreter for testing and understanding
      Ruby code
    uri:
    - https://github.com/ruby/typeprof
    license: MIT
    buildtimestamp: 2024-03-04 20:36:36.695560363 +0000 UTC m=+73.412009302
    labels:
      BDEPEND: test? ( ruby_targets_ruby32? ( >=dev-ruby/rbs-1.8.1[ruby_targets_ruby32(-)]
        ) ruby_targets_ruby31? ( >=dev-ruby/rbs-1.8.1[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
        ( >=dev-ruby/rbs-1.8.1[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( >=dev-ruby/rbs-1.8.1[ruby_targets_ruby27(-)]
        ) ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( test? ( dev-ruby/rake[ruby_targets_ruby32(-)] ) )
        ruby_targets_ruby31? ( test? ( dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
        ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? (
        test? ( dev-ruby/rake[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)]
        ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
        ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
        ) test? ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)]
        ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
        ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
        ) )
      DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      IUSE: test ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
        test test
      RDEPEND: ruby_targets_ruby32? ( >=dev-ruby/rbs-1.8.1[ruby_targets_ruby32(-)]
        ) ruby_targets_ruby31? ( >=dev-ruby/rbs-1.8.1[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
        ( >=dev-ruby/rbs-1.8.1[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( >=dev-ruby/rbs-1.8.1[ruby_targets_ruby27(-)]
        ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      emerge.packages: dev-ruby/typeprof
      kit: ruby-kit
      original.package.name: dev-ruby/typeprof
      original.package.slot: "0"
      original.package.version: 0.21.11
    treedir: /build/packages
  package_dir: /pkgdir/typeprof
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 00b0cb7b8512bf1bba972c60fd2dc49231bdb440c39d9d9bc609f2352b401332
compressiontype: zstd
files:
- usr/bin/typeprof
- usr/lib64/ruby/gems/3.1.0/gems/typeprof-0.21.11/exe/typeprof
- usr/lib64/ruby/gems/3.1.0/gems/typeprof-0.21.11/lib/typeprof/analyzer.rb
- usr/lib64/ruby/gems/3.1.0/gems/typeprof-0.21.11/lib/typeprof/arguments.rb
- usr/lib64/ruby/gems/3.1.0/gems/typeprof-0.21.11/lib/typeprof/block.rb
- usr/lib64/ruby/gems/3.1.0/gems/typeprof-0.21.11/lib/typeprof/builtin.rb
- usr/lib64/ruby/gems/3.1.0/gems/typeprof-0.21.11/lib/typeprof/cli.rb
- usr/lib64/ruby/gems/3.1.0/gems/typeprof-0.21.11/lib/typeprof/code-range.rb
- usr/lib64/ruby/gems/3.1.0/gems/typeprof-0.21.11/lib/typeprof/config.rb
- usr/lib64/ruby/gems/3.1.0/gems/typeprof-0.21.11/lib/typeprof/container-type.rb
- usr/lib64/ruby/gems/3.1.0/gems/typeprof-0.21.11/lib/typeprof/export.rb
- usr/lib64/ruby/gems/3.1.0/gems/typeprof-0.21.11/lib/typeprof/import.rb
- usr/lib64/ruby/gems/3.1.0/gems/typeprof-0.21.11/lib/typeprof/insns-def.rb
- usr/lib64/ruby/gems/3.1.0/gems/typeprof-0.21.11/lib/typeprof/iseq.rb
- usr/lib64/ruby/gems/3.1.0/gems/typeprof-0.21.11/lib/typeprof/lsp.rb
- usr/lib64/ruby/gems/3.1.0/gems/typeprof-0.21.11/lib/typeprof/method.rb
- usr/lib64/ruby/gems/3.1.0/gems/typeprof-0.21.11/lib/typeprof/type.rb
- usr/lib64/ruby/gems/3.1.0/gems/typeprof-0.21.11/lib/typeprof/utils.rb
- usr/lib64/ruby/gems/3.1.0/gems/typeprof-0.21.11/lib/typeprof/version.rb
- usr/lib64/ruby/gems/3.1.0/gems/typeprof-0.21.11/lib/typeprof.rb
- usr/lib64/ruby/gems/3.1.0/specifications/typeprof-0.21.11.gemspec
- usr/share/doc/typeprof-0.21.11/README.md.bz2
- var/db/pkg/dev-ruby/typeprof-0.21.11/BDEPEND
- var/db/pkg/dev-ruby/typeprof-0.21.11/BUILD_TIME
- var/db/pkg/dev-ruby/typeprof-0.21.11/CATEGORY
- var/db/pkg/dev-ruby/typeprof-0.21.11/CBUILD
- var/db/pkg/dev-ruby/typeprof-0.21.11/CFLAGS
- var/db/pkg/dev-ruby/typeprof-0.21.11/CHOST
- var/db/pkg/dev-ruby/typeprof-0.21.11/CONTENTS
- var/db/pkg/dev-ruby/typeprof-0.21.11/COUNTER
- var/db/pkg/dev-ruby/typeprof-0.21.11/CXXFLAGS
- var/db/pkg/dev-ruby/typeprof-0.21.11/DEFINED_PHASES
- var/db/pkg/dev-ruby/typeprof-0.21.11/DEPEND
- var/db/pkg/dev-ruby/typeprof-0.21.11/DESCRIPTION
- var/db/pkg/dev-ruby/typeprof-0.21.11/EAPI
- var/db/pkg/dev-ruby/typeprof-0.21.11/FEATURES
- var/db/pkg/dev-ruby/typeprof-0.21.11/HOMEPAGE
- var/db/pkg/dev-ruby/typeprof-0.21.11/INHERITED
- var/db/pkg/dev-ruby/typeprof-0.21.11/IUSE
- var/db/pkg/dev-ruby/typeprof-0.21.11/IUSE_EFFECTIVE
- var/db/pkg/dev-ruby/typeprof-0.21.11/KEYWORDS
- var/db/pkg/dev-ruby/typeprof-0.21.11/LDFLAGS
- var/db/pkg/dev-ruby/typeprof-0.21.11/LICENSE
- var/db/pkg/dev-ruby/typeprof-0.21.11/PF
- var/db/pkg/dev-ruby/typeprof-0.21.11/RDEPEND
- var/db/pkg/dev-ruby/typeprof-0.21.11/RESTRICT
- var/db/pkg/dev-ruby/typeprof-0.21.11/SIZE
- var/db/pkg/dev-ruby/typeprof-0.21.11/SLOT
- var/db/pkg/dev-ruby/typeprof-0.21.11/USE
- var/db/pkg/dev-ruby/typeprof-0.21.11/environment.bz2
- var/db/pkg/dev-ruby/typeprof-0.21.11/repository
- var/db/pkg/dev-ruby/typeprof-0.21.11/typeprof-0.21.11.ebuild
package_cacheimage: ""
runtime:
  name: typeprof
  version: 0.21.11
  category: dev-ruby
  use_flags:
  - -ruby_targets_ruby27
  - -ruby_targets_ruby30
  - -ruby_targets_ruby32
  - -test
  - ruby_targets_ruby31
  requires:
  - name: rbs
    version: '>=0'
    category: dev-ruby
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: An experimental type-level Ruby interpreter for testing and understanding
    Ruby code
  uri:
  - https://github.com/ruby/typeprof
  license: MIT
  labels:
    BDEPEND: test? ( ruby_targets_ruby32? ( >=dev-ruby/rbs-1.8.1[ruby_targets_ruby32(-)]
      ) ruby_targets_ruby31? ( >=dev-ruby/rbs-1.8.1[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( >=dev-ruby/rbs-1.8.1[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( >=dev-ruby/rbs-1.8.1[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( test? ( dev-ruby/rake[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31?
      ( test? ( dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( test?
      ( dev-ruby/rake[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( test? ( dev-ruby/rake[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) test? (
      ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) )
    DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    IUSE: test ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
      test test
    RDEPEND: ruby_targets_ruby32? ( >=dev-ruby/rbs-1.8.1[ruby_targets_ruby32(-)] )
      ruby_targets_ruby31? ( >=dev-ruby/rbs-1.8.1[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
      ( >=dev-ruby/rbs-1.8.1[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( >=dev-ruby/rbs-1.8.1[ruby_targets_ruby27(-)]
      ) ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    emerge.packages: dev-ruby/typeprof
    kit: ruby-kit
    original.package.name: dev-ruby/typeprof
    original.package.slot: "0"
    original.package.version: 0.21.11
